Package Details: vokoscreen 2.9.5.beta-2

Git Clone URL: https://aur.archlinux.org/vokoscreen.git (read-only)
Package Base: vokoscreen
Description: An easy to use screencast creator
Upstream URL: http://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
Keywords: qt5 screencast
Licenses: GPL2
Submitter: mrbit
Maintainer: ivanfon
Last Packager: ivanfon
Votes: 93
Popularity: 2.22
First Submitted: 2013-01-02 17:40
Last Updated: 2019-05-15 18:08

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

petronny commented on 2016-09-04 03:49

I found it by building the package with the command 'extra-x86_64-build'(from package devtools). It will create a new archlinux enviroment with only basic packages installed then chroot into it.

Since the binary doesn't need /usr/lib/libXrandr.so to run, I guess it should be in makedepends.

AlfredoRamos commented on 2016-09-04 03:34

@Petron Most window managers require libxrandr, so it was a little strange. Which window manager do you use? just curiosity.

I've added libxrandr but I can't determine whether it should be in depends() or makedepends() because my window manager (Openbox) already needs it.

Thanks for the report.

petronny commented on 2016-09-04 02:38

../vokoscreen-2.5.0/showkey/QvkShowkeyGetkey.cpp:18:35: fatal error: X11/extensions/Xrandr.h: No such file or directory
#include <X11/extensions/Xrandr.h>

pacman -Fo /usr/include/X11/extensions/Xrandr.h
usr/include/X11/extensions/Xrandr.h is owned by extra/libxrandr 1.5.0-1

Oops, so it should be libxrandr

AlfredoRamos commented on 2016-09-03 19:58

@Petron I don't even have xorg-xrandr installed and it compiles with no problem.

Please give me your full output so I can check.

petronny commented on 2016-09-03 12:51

missing xorg-xrandr as a make dependency(or dependency)

AlfredoRamos commented on 2016-06-23 15:29

@gim sorry, forgot to add the new dependency.

It's fixed now, please let me know if you have any problems.

gim commented on 2016-06-23 12:53

Project ERROR: Unknown module(s) in QT: multimedia
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build vokoscreen.

Full output: http://pastebin.com/0f0STeyu

AlfredoRamos commented on 2016-06-04 04:30

@pereira.alex done :) however I've used QMAKE_CFLAGS and QMAKE_CXXFLAGS so you still can set *_RELEASE, *_DEBUG, etc.

pereira.alex commented on 2016-06-03 19:01

Hi,

Thanks for the package ! :)

Can you add:
QMAKE_CFLAGS_RELEASE="${CFLAGS}"\
QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}"

to the build section so that it respects makepkg cflags ?

Thanks !

AJAY1000 commented on 2015-05-17 19:12

Update: I managed to get vokoscreen working by using vokoscreen-git instead.